Retry fetching a mortgage search's results from Mortgage Brain Run in API Explorer
Ask AI
POST
/api/v1/addons/mortgagebrain/mortgage-search/{mortgageSearch_uuid}/sync
curl \
--request POST 'https://api.plannrcrm.com/api/v1/addons/mortgagebrain/mortgage-search/6ff8f7f6-1eb3-3525-be4a-3932c805afed/sync' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"uuid": "f41193c6-5df4-4cc3-b832-1690195a98ee",
"created_at": "2026-11-20T11:56:03+00:00",
"updated_at": "2026-11-20T11:56:03+00:00",
"name": "My Mortgage Search",
"status": "pending",
"provider": "Mortgage Brain",
"provider_reference": "123456789",
"provider_data": [],
"applicants": [
{
"uuid": "6e727446-c0f2-49b5-8975-a7ec2d5a9772",
"created_at": "2026-11-20T11:56:03+00:00",
"updated_at": "2026-11-20T11:56:03+00:00",
"account": {
"uuid": "60f6bdcb-7eed-4113-9ac3-d48a775ab70a",
"created_at": "2026-11-20T11:56:09+00:00",
"updated_at": "2026-11-20T11:56:09+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson"
}
}
],
"cases": [
{
"uuid": "d0ccc7c2-5b06-495b-88f5-7fda7b318940",
"created_at": "2026-11-20T11:56:03+00:00",
"updated_at": "2026-11-20T11:56:03+00:00",
"name": "finance",
"slug": "finance",
"status": {
"uuid": "b60fdd3a-32e0-4b6e-9afd-5b227c5c8918",
"created_at": "2026-11-20T11:56:09+00:00",
"updated_at": "2026-11-20T11:56:09+00:00",
"name": "To Be Reviewed",
"colour": "#23852B",
"position": 5,
"is_type_completed": false
},
"type": {
"uuid": null,
"name": "Mortgage Plan",
"created_at": "2026-11-20T11:56:09+00:00",
"updated_at": "2026-11-20T11:56:09+00:00"
},
"review_at": "2026-11-20T11:56:03+00:00",
"assigned_to_uuids": [
"f9f21be2-a805-475a-8248-522d0ade8432"
],
"group_uuids": [
"8da1319f-9094-44a7-b9bd-4a530b17d0f2"
],
"completed_at": "2026-11-20T11:56:03+00:00",
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"status_position": 4,
"participants_count": 4,
"participants": {
"uuid": "b40a5350-0a01-487a-a90b-752ae788f227",
"created_at": "2026-11-20T11:56:09+00:00",
"updated_at": "2026-11-20T11:56:09+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-11-20T11:56:09+00:00",
"next_review_date": "2026-11-20T11:56:09+00:00",
"previous_review_date": "2026-11-20T11:56:09+00:00",
"anniversary_review_date": "2026-11-20T11:56:09+00:00",
"terms_of_business_at": "2026-11-20T11:56:09+00:00",
"client_agreement_at": "2026-11-20T11:56:09+00:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-11-20",
"last_interaction_at": "2026-11-20 11:56:09",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-11-20T11:56:09+00:00",
"out_of_office_until": "2026-11-20T11:56:09+00:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"managed_by_head_office": false
},
"task_board_uuid": "71c30b03-602a-4a7f-94bb-0e555bf935b4",
"plans": {
"uuid": "6281765f-7255-4e8d-a937-c0817eedd2c2",
"created_at": "2026-11-20T11:56:09+00:00",
"updated_at": "2026-11-20T11:56:09+00:00",
"opened_at": "2026-11-20T11:56:09+00:00",
"name": "Johns ISA",
"type": "cash_account",
"sub_type": "lifetime isa",
"abstract_type": "asset",
"policy_number": "AVIVA-123",
"proposal_reference": "AB123456",
"status": "inactive",
"inactive_at": "2026-11-20T11:56:09+00:00",
"inactive_reason": "claimed",
"agency_in_your_name": true,
"agency_in_your_name_from": "2025-11-20",
"originally_sold_by_firm": true,
"under_advice": true,
"visible_on_client_portal": true,
"include_in_client_valuation": true,
"show_on_joint": true,
"shown_on_circles": true,
"review_date": "2025-11-20",
"on_panel": true,
"is_group_scheme": false,
"is_sub_group_scheme": false,
"is_group_scheme_member": false,
"advice_area": "non_investment_insurance",
"total_benefit_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"total_benefits": {
"critical_illness": {
"amount": {
"example": "15000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£150,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"family_income_benefit": {
"amount": {
"example": "10000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£100,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
}
},
"value": {
"amount": {
"example": "4000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£40.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": null,
"description": "Currency of the money"
}
},
"valued_at": "2026-11-20T11:56:09+00:00",
"original_valued_at": "2026-11-19T11:56:09+00:00",
"statistics": {
"recent_growth": 100
},
"is_wrap_product": false,
"is_wrap_child": false,
"can_be_deleted": "false"
},
"custom_fields": {
"uuid": null,
"created_at": "2026-11-20T11:56:09+00:00",
"updated_at": "2026-11-20T11:56:09+00:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink.",
"is_retired": false
}
}
],
"products": [
{
"uuid": "129c9b1b-cb51-4b26-84c1-051be9081a19",
"created_at": "2026-11-20T11:56:03+00:00",
"updated_at": "2026-11-20T11:56:03+00:00",
"provider_reference": "example-reference",
"provider_scenario_name": "Single Applicant, Small Deposit",
"provider_scenario_data": [],
"lender_name": "HSBC",
"product_title": "5% Fixed Rate - 5 year",
"term_months": 300,
"advance_amount": {
"amount": "25000000",
"currency": "GBP",
"formatted": "£250,000.00"
},
"initial_rate": 4.29,
"initial_rate_type": "Fixed",
"rate_control_period_months": 24,
"initial_monthly_payment_amount": {
"amount": "135612",
"currency": "GBP",
"formatted": "£1,356.12"
},
"reversionary_rate": 7.49,
"reversionary_monthly_payment_amount": {
"amount": "178045",
"currency": "GBP",
"formatted": "£1,780.45"
},
"total_amount_payable": {
"amount": "48523100",
"currency": "GBP",
"formatted": "£485,231.00"
},
"lender_fees": [
{
"type": "product_fee",
"amount": {
"amount": "99900",
"currency": "GBP",
"formatted": "£999.00"
},
"added_to_loan": false,
"charged": "initial"
}
],
"total_lender_fees_amount": {
"amount": "99900",
"currency": "GBP",
"formatted": "£999.00"
},
"early_repayment_charge_description": "3% until 31/12/2027",
"early_repayment_charges": [
{
"end_date": "2027-12-31",
"end_period_months": 24,
"amount": {
"amount": "750000",
"currency": "GBP",
"formatted": "£7,500.00"
}
}
],
"files": {
"uuid": "889d4ae3-da41-4f29-8d8d-97e4b88a089d",
"created_at": "2026-11-20T11:56:09+00:00",
"original_created_at": "2026-11-20T11:56:09+00:00",
"updated_at": "2026-11-20T11:56:09+00:00",
"uploaded_at": "2026-11-20T11:56:09+00:00",
"status": "uploaded",
"filename": "Welcome to Plannr.pdf",
"name": "Welcome to Plannr",
"extension": "pdf",
"type": "type",
"size": "21691783",
"path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
"last_modified": "2026-11-20T11:56:09+00:00",
"progress": "100",
"download_url": "https://api.plannrcrm.com/file/3bef0425-7b5f-4b3e-8ce2-36cae2129401/download",
"preview_url": "https://api.plannrcrm.com/file/5dac1cd4-33c0-457b-ae7d-6c6a29bb0d8f/preview",
"folder_name": "folder 2",
"documentable_type": "account",
"documentable": "Object",
"navigator": {
"model_type": "account",
"model_uuid": null
}
},
"plan": {
"uuid": "3bcf3fe7-9e5d-4567-914a-a6578856d58c",
"created_at": "2026-11-20T11:56:09+00:00",
"updated_at": "2026-11-20T11:56:09+00:00",
"opened_at": "2026-11-20T11:56:09+00:00",
"name": "Johns ISA",
"type": "cash_account",
"sub_type": "lifetime isa",
"abstract_type": "asset",
"policy_number": "AVIVA-123",
"proposal_reference": "AB123456",
"status": "inactive",
"inactive_at": "2026-11-20T11:56:09+00:00",
"inactive_reason": "claimed",
"is_group_scheme": false,
"is_sub_group_scheme": false,
"is_group_scheme_member": false,
"is_wrap_product": false,
"is_wrap_child": false
},
"mortgage_search": {
"uuid": "e9b4b9d2-e95a-4594-981b-1b435255f2fb",
"created_at": "2026-11-20T11:56:09+00:00",
"updated_at": "2026-11-20T11:56:09+00:00",
"name": "My Mortgage Search",
"status": "pending",
"provider": "Mortgage Brain",
"provider_reference": "123456789",
"provider_data": []
}
}
],
"plans": [
{
"uuid": "46ec45c7-6df4-4bd7-93ab-2a99cda88cbf",
"created_at": "2026-11-20T11:56:03+00:00",
"updated_at": "2026-11-20T11:56:03+00:00",
"opened_at": "2026-11-20T11:56:03+00:00",
"name": "Johns ISA",
"type": "cash_account",
"sub_type": "lifetime isa",
"abstract_type": "asset",
"policy_number": "AVIVA-123",
"proposal_reference": "AB123456",
"status": "inactive",
"inactive_at": "2026-11-20T11:56:03+00:00",
"inactive_reason": "claimed",
"is_group_scheme": false,
"is_sub_group_scheme": false,
"is_group_scheme_member": false,
"is_wrap_product": false,
"is_wrap_child": false
}
],
"files": [
{
"uuid": "fa876bf1-b5e1-4444-a323-002f2b36b805",
"created_at": "2026-11-20T11:56:03+00:00",
"original_created_at": "2026-11-20T11:56:03+00:00",
"updated_at": "2026-11-20T11:56:03+00:00",
"uploaded_at": "2026-11-20T11:56:03+00:00",
"status": "uploaded",
"filename": "Welcome to Plannr.pdf",
"name": "Welcome to Plannr",
"extension": "pdf",
"type": "type",
"size": "21691783",
"path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
"last_modified": "2026-11-20T11:56:03+00:00",
"progress": "100",
"download_url": "https://api.plannrcrm.com/file/a4a634a4-47fd-46f5-9796-3fe877108476/download",
"preview_url": "https://api.plannrcrm.com/file/c9c5985d-2f8d-48b3-bf81-3f85290af1d2/preview",
"folder_name": "folder 2",
"folder": {
"uuid": "af110686-a882-49cc-a9f5-d3055dfe9638",
"created_at": "2026-11-20T11:56:09+00:00",
"updated_at": "2026-11-20T11:56:09+00:00",
"name": "Important Documents",
"slug": "important-documents",
"path": "Codepotato/Important Documents",
"clients_read": true,
"clients_write": true,
"show_client_permissions": true,
"is_system_folder": true,
"is_pseudo_folder": true,
"is_root_folder": true,
"documentable_type": "account",
"documentable_uuid": "account",
"documentable": "Object",
"participants_count": 3,
"folders_count": 5,
"files_count": 8,
"depth": 5,
"owned": false
},
"documentable_type": "account",
"documentable": "Object",
"navigator": {
"model_type": "account",
"model_uuid": "f7d9a79c-cae0-41ac-a4f1-6827cc26ca8e"
},
"firm": {
"uuid": "a384a3ce-5aa5-4d06-8427-32a61c2d1824",
"created_at": "2026-11-20T11:56:09+00:00",
"updated_at": "2026-11-20T11:56:09+00:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"factfind_pdf_header_background": "#0E0E56",
"factfind_pdf_header_text": "#ffffff",
"factfind_pdf_logo": "https://api.plannrcrm.com/images/plannr.jpg",
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"account": {
"uuid": "60f6bdcb-7eed-4113-9ac3-d48a775ab70a",
"created_at": "2026-11-20T11:56:09+00:00",
"updated_at": "2026-11-20T11:56:09+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson"
},
"tags": {
"uuid": "16966dc2-1c0d-430b-89fd-843688b6b714",
"created_at": "2026-11-20T11:56:09+00:00",
"updated_at": "2026-11-20T11:56:09+00:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
}
}
]
}